Bug 1459563 - Incorrect storage used in Chargeback reports
Incorrect storage used in Chargeback reports
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.7.0
All All
high Severity high
: GA
: 5.7.3
Assigned To: Šimon Lukašík
Nandini Chandra
storage:chargeback
: ZStream
Depends On: 1455690
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 09:02 EDT by Satoe Imaishi
Modified: 2017-06-28 11:04 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1455690
Environment:
Last Closed: 2017-06-28 11:04:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
screen shot of Chargeback report from 5_7_3_1 (25.76 KB, image/png)
2017-06-12 04:54 EDT, Nandini Chandra
no flags Details

  None (edit)
Comment 2 CFME Bot 2017-06-07 09:11:01 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f4fc22026014b8692513efba4f9892b6d1380505

commit f4fc22026014b8692513efba4f9892b6d1380505
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jun 5 23:24:25 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 7 09:03:53 2017 -0400

    Merge pull request #15261 from isimluk/do-not-offer-useless-metrics
    
    Do not offer report columns that are useless
    (cherry picked from commit d07a5ef227d0d8b15ea343a94c914d6396485970)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459563

 app/models/chargeback_vm.rb | 6 ------
 1 file changed, 6 deletions(-)
Comment 4 Nandini Chandra 2017-06-12 04:54 EDT
Created attachment 1286983 [details]
screen shot of Chargeback report from 5_7_3_1
Comment 5 Šimon Lukašík 2017-06-12 05:17:04 EDT
> The report has CPU Total Cost, Storage Total Cost.
> Here CPU Total Cost = CPU Used Cost + vCPUs Allocated Cost
>     Storage Total Cost = Storage Used Cost + Storage Allocated Cost

This is on purpose.

Summing the metrics together does not make sense, however summing the costs make sense.

In other words, when you sum allocated and consumed disk, the result is number of terabytes that do not rely to anything in the real world (not useful). However, when you sum cost of allocated disk and cost of consumed disk, you have dollar or Koruna amount that is attached to operating the storage on a given VM (possibly useful).

Thanks!
Comment 7 Nandini Chandra 2017-06-13 09:00:17 EDT
Verified that the Total column for the following metrics is no longer available while creating a Chargeback report.

 - cpu is useless as it counts usagemhz and vm_numvcpus together
     - cpu_cores is useless as it only reports cpu_cores
     - memory is useless as counts used and available together
     - net_io is useless as it only reports net_ui_rate_avg
     - disk_io is useless as it only reports disk_usage_rate_avg
     - storage is useless as it counts used and allocated together
     - fixed is useless as it counts all the fixed metrics together

Verified in 5.7.3.1
Comment 9 errata-xmlrpc 2017-06-28 11:04:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601

Note You need to log in before you can comment on or make changes to this bug.